-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
* Watch My Domains Server v2.x Demo / Standard Edition / Professional Edition
* Installation and setup
* Copyright 2010-2015, Softnik Technologies.
* http://www.softnik.com/
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=


2.4.66 December-07-2015
--------------

01. Improved support for data extraction of custom data columns. You can now
    specify a global translation table for all whois servers by using "*" as the
	whois server.
	
02. Fixed an issue with estibot integration (affected lookup of some domains).


2.4.65 November-5-2015
--------------

01. Improved subdomain manager to support non-admin users. Only the domains
    and subdomains viewable by the user (based on configured access rights) 
	will be diaplayed in the table.
	
02. Added the option to specify [catlist] in auto queries instead of the
    full catgeory table name with prefix. Please see
	https://watchmy.domains/sed/guide/custom-queries.php
	
03. Added an option to upload CSV file for subdomain data. You can import
    all the four 'notes' columns using a CSV file.
	
04. The user interface will be refreshed automatically when you change the
    theme in 'basic app setup'.
	
05. Fixed an issue with domains that have data in non english languages when
    doing a registry / registrar whois re-parsing.
	
06. Added support for extracting dates in the YYYYMMDD (eg. 20151123) format.

07. Minor improvements.

	
2.4.61 September-6-2015
--------------

01. Improved Installation Test Script (lib/php/test.php). It will now test 
    time zone settings and whois lookup support.

02. Fixed minor display issues in the 'ui-darkness' theme.

03. Added an option to reset the 'last connected at' time stamp for whois
    servers (whois setup). This will hep recover from time-zone related problems 
	if the time zones were not set properly.
	
04. Fixed a parsing issue in IP whois.

05. Added a subdomain manager. Use it to quickly see all the domains, subdomains,
    SSL expiry dates etc. You can also easily add and delete subdomains using
	the interface.
	
06. Optimized the lookup queue processor.

07. Automatic fix when server timezone and php.ini timezone do not match.

08. Fixed an email setup problem in Firefox browsers.


2.4.60 July-10-2015
--------------

01. Fixed an issue on Windows servers

02. Minor improvements


2.4.59 June-02-2015
--------------

01. Removed a warning message that appears in the test module when using PHP 5.6.

02. Fixed the problem with some SSL checks under PHP 5.6

03. Added an error message when whois lookups fail due to SELinux.

04. Added a sample script to download the MySQL database as a gzip file. Please
    see db-backup-download-sample.php in lib/php/custom folder. 
	
05. Minor Bug Fixes and Improvements


2.4.58 April-08-2015
--------------

01. Added SSL Expiry Report sample in lib/php/custom.

02. Added SSL check button in 'Lookup Queue' tab
	
03. Minor Bug Fixes and Improvements


2.4.56 March-09-2015
--------------

01. Fixed an issue that affected 'Status' column extraction for some registrars.
	
02. Minor Bug Fixes and Improvements


2.4.55 February-20-2015
--------------

01. Added an option in the bulk tool to edit columns other than the 'Notes'.

02. Added an option to manually sort the categories in the left panel. You can
    use the 'up' and 'down' footer buttons in the category table for this.
	
03. When adding domains, you can set options to empty the current category 
    and / or add domains to current category.
	
04. The category table will highlight the categories the currently selected
    domain is a member of.
	
05. Fixed a bug in Reports module that prevented the bulk tool and CSV download 
    from functioning.
	
06. Minor bug fixes and improvements.

2.4.52 February-02-2015
--------------

01. Improved the 'Status' column extraction by removing the ICANN URLs in the
    strings.

02. Fixed an issue that prevented expiry dates beyond 2050 from being displayed.
	
03. Minor bug fixes and improvements

2.4.51 November-12-2014
--------------

01. Improved whois server auto-detection.

02. Non administrative users can now change their own passwords.

2.4.50 October-13-2014
--------------

01. More vulnerability hardening when the application is not password 
    protected.

02. All the custom email report samples will now run only if the user is logged
    in (assuming the built-in password protection is enabled). This will pose a 
	problem when you try to run the script as a cron job. A new 
	"CLI Authorization Key" option has been added to the "Basic App Setup > 
	Authentication" tab. Specify a key there and then use it as a command line 
	entry (key=xxx) when running the script using PHP CLI (cron job). If you use 
	wget for cron job you can specify the key as a GET variable (&key=xxx or 
	?key=xxxx).

03. The custom SQL option will be disabled in 'Reports' module when the
    application is not password protected.
	
04. A number of UI improvements (DNS/SSL Record table heading, popup display 
    on expiry of the demo mode, ability to check for updates from the 'About' 
	pane, etc.)
	
05. Email settings can now be done through the 'Basic App Setup'. There is no
    need to edit the app.conf.php file.
	
06. You can now change the "favicon". Create an ICO file and name it 
    "myfavicon.ico". Copy it to the lib/css/img folder. To change the 
	background watermark image that appears behing the login screen, create a 
	PNG image (256x256px size) and name it "myfavicon.png". Copy it to the 
	lib/css/img folder. Browsers often cache the "favicon", so any changes you
	make may not be immediately visible.
	
07. Added a new theme (Hot Sneaks from jQuery UI)


2.4.25 September-15-2014
--------------

01. Minor modifications to sample report creation scripts in lib/php/custom 
    folder.

02. Minor bug fixes and improvements

03. Updated all external webpage links in the application

04. Improved script security when the application is not password protected. 
    Do remember that it is not a good idea to not password protecct the 
	application.


2.4.23 August-06-2014
--------------

01. Added support for "TXT" records in the DNS records table.

02. Improved the data display in the DNS / SSL record tables.

03. Increased the maximum number of rows that the report data table can show per
    page.

04. Minor bug fixes and improvements


2.4.22 July-28-2014
--------------

01. Interface improvements in basic application setup panels.

02. Added support for downloading sub-domain amd SSL data in CSV format.

03. You can now specify a set of sub-domain entries that can be automatically
    added to the database whenever a new domain is inserted. This is
	useful if you want to add sub-domain entries like "www", "mail" etc.
	automatically.
	
04. Added a main menu that lists all the important tools available within the 
    application.
	
05. The application will now check SSL certificate at root domains (apple.com, 
    softnik.com, etc.)
	
06. When the sub-domain table is displaying the SSL data, only the relevant 
    rows will be shown. Previously the table displayed rows corresponding to
	NS, MX records.
	
07. Minor improvements and bug fixes.


2.4.20 July-12-2014
--------------

01. Improved installation check tool (lib/php/test.php)

02. Direct support for PHP 5.5 for Demo and Standard Editions. Previously this
    required that you manually copy a couple of files. Professional Edition
	already supported PHP 5.5
	
03. Automatic whois configuration when you add a domain with a TLD that has
    not yet been setup.  You no longer have to do manual configurations or wait 
	for a software update. With so many new TLDs becoming available, manually 
	configuring each TLD is not a viable option anymore. This feature will 
	make managing domains a lot more easy.
	
04. Minor bug fixes and improvements.

2.4.0 June-30-2014
-------------

01. Added default support for more TLDs

02. Added user interface support for most configuration settings. You no longer 
    need to edit 'config.php' for most of the options.
	
03. Minor bug fixes and improvements.

04. You can double-click a row in the domain table to bring up the editor.

05. Improved date parsing.


2.3.15 May-21-2014
------------

01. The PHP SDK script added to lib/php/sdk folder

02. Scripts for add-on third party tools added to lib/php/thirdparty folder. The
    Currently supported tools include MOZ and Estibot

03. Added parsing support for registrant/admin/tech organization, street, country, 
    phone etc. However these columns will need to be manually added using 'Basic
	App setup'
	
04. The installation test script (lib/php/test.php) has been improved.

05. Improved date parsing.

06. Minor bug fixes and improvements.

07. Added default support for more TLDs.

08. You can specify the maximum number of http redirects the application will 
    follow when doing home page checks. 
	
09. Added columns that will show the original and final redirected URLs for home
    page http checks.


2.3.11 May-04-2014
------------

01. Specify more access rights for non-administrative users. You can now create 
    users who can edit domain data but not add or delete domains. You can also 
    create users who can edit and add domains but not delete domains. This option 
    will allow you to make use of data entry operators who will be able to add 
    missing domain records but not modify the actual domain names in the database. 
    Please note that these options are only for the domain table. Only 
    administrators will be able to create and assign domain categories.
	
02. Added support for downloading CSV files from the main interface. You can use 
    the download button in the domain table footer for this. Only administrators
	and users with edit+add+delete rights will be able to use this.
	
03. Added support for using the 'Bulk Tool' from the 'Reports' interface. You
    can run queries and then add the resulting domains to categories.
	
04. Added a download button the to the footer bar on Reports table.

05. You can now use reserved SQL keywords like use, abort, add, etc. as custom 
    column names.
	
06. The application can be made to tolerate entries like www.example.com when 
    doing whois lookups. To support this you have to set $fix_host_domain_names
    to 'true' in config.php. After that if you enter www.example.com as the 
    domain name it will do whois lookup on example.com. It is recommended that 
    you enter proper domain names (example.com and not www.example.com)
	
07. You can specify a default subdomain that will be added at the start of 
    domain names while doing Root DNS check, alexa check, Google PR check etc.
    Use the $config_subdomain_entry in config.php for this. By default it is
    "www". You can prevent the "www." + domain checks by setting it's value to
    "".
	
08. Added support for checking the number of pages in Google Index. You may have
    to enable the display of the google_index_count column from the 
   'Basic App Setup'
	

2.3.6 April-03-2014
------------

01. Custom Date columns can be used in the parse table. For example, you can 
    create a custom column (data-type: Date) and then use a data extraction 
	token in whois setup to redirect a value to it automatically.

02. Added extra columns to the sub-domain table (record type, record value & TTL)
	This will allow you to monitor the root DNS entries for the domain. Please
	see entry (5) below.

03. Subdomain table contents can be switched between DNS records mode or SSL data
    mode using the toolbar button ('switch table', star icon) in the footer.
	
04. You can do SSL checks and DNS checks separately on the domain. These lookups
    will occur on the sub-domains manually added by you. The DNS checks will
	identify A and CNAME records along with the TTL values.

05. When you do a regular IP address check on the domain, the application will
    do a DNS check to find all root NS, MX and A records. These will be displayed
    in the lower DNS/SSL Records tab. This can be disabled from the config.php
	(Look for $do_dns_record_lookup entry)

06. Minor bug fixes and UI improvements

2.3.4 March-24-2014
-------------

01. Added two new themes (sed-start and flick). 

02. Added support for specifying a default date format in the domain table. You can 
    do this by setting up the $cell_date_format value in config.php
	
03. Added support for registrar aliases. Registrar aliases allow you to shorten
    the registrar name from something like "PDR LTD. D/B/A PUBLICDOMAINREGISTRY.COM"
    to "PDR LTD". 
	
04. Added support for custom css file. You can now use your own custom CSS to 
    adjust the visual elements without having to modify the original CSS files. Your
    custom settings will be preserved between updates.
	
05. Minor improvements and fixes.

06. The application has been rebranded as "WatchMy.Domains/SED" from 
    "Watch My Domains SED"


2.3.3, March 17, 2014
----------------------

01. After a whois lookup is completed, the application will reset the domain data
    columns before updating the columns with the new values. This prevents old data
    from being present in the data columns when a domain has expired or if the
    registrar has changed etc.

02. Some whois servers return a completely blank result at times (This problem is 
    often noticed with whois.donuts.co). You can now use the config.php setting 
    ($requeue_on_empty_whois) to queue those lookups again. Be careful with this
    because if a registrar is blocking you with no feedback, the application will
    repeatedly keep redoing the lookups.

03. Home page token string testing support. You can specify a string token to look 
    for in the home page of the domain's site. The column 'Home Page Token' specifies
    the string to search for. You can enter this manually or from a CSV file.
    If the string is found in the home page html, the 'Page Token Found' column
    will be set. You can enable the display of these columns from the 'Basic App
    Setup' screen.

04. If a domain is not registered, the 'availability' column will show 'available'.
	If the 'search token' entry in whois server setup is missing, the 'availability'
	column will show 'setup error'.
    

2.3.2, February 5, 2014
-----------------------

01. Fixed the date and status extraction problem for ORG domains (caused due to
    a recent format change in raw whois). Previously the fix required a manual
    configuration change.
	
02. Added support for the upcoming gTLDs from Donuts Inc. These include TLDs like
    .guru, .camera, .singles, etc. Previously this required manual configuration.
	
03. Fixed an issue with sorting and searching based on whois server name (in 
    whois setup panel).
	
04. Added an extra 'Registrant Email' column. The new ICANN rules require a 
    validation from the registrant email.

2.3.1, January 14, 2014 v2.3
----------------------------

01. Consolidated all the v2.2.x updates into the new v2.3

02. Added more sample report generation scripts in lib/php/custom. You can now 
    use PHP command line to run these from your cron (if your web host 
    doesn't provide wget or curl)
   
03. Improved the multi-server installation options for Professional Edition

04. Minor tweaks and UI improvements.

05. A sample script for version checking added (lib/php/custom folder)

06. Added support for specifying what to lookup by default when you add domains.
    Option available in config-sample.php ($default_lookup_types)
   
07. When adding domain names, any quotes (" or ') in the domain name will be stripped.

08. Added a lib/php/ioncube folder. 

    This contains files encoded using ionCube encoders v8 and v7. By default the 
    application uses v7 encoded files. You can now use the v8 encoded files if 
    you want to. See the readme.txt in lib/php/ioncube/ for details.
   
    Please note that the Professional Edition doesn't require ionCube loader.
   
09. The test script (lib/php/test.php) will now display the ionCube loader version.

10. You can now tell the application to give preference to certain types of lookups.
    For example, if the lookup queue contains a mix of domain whois and MX lookups, 
    you can tell the app to do the MX lookups first (normally the lookup queue
    is processed in a FIFO, First-In First-Out, manner. Please see config-sample.php
    for details ($high_preference_lookups).

11. Added support for quick whois lookup of domains that have already expired or 
    are about to expire. You can use the 'ue' variable in MakeQ.php for this.
    This option allows you to quickly refresh the records for domains that may have 
    been renewed recently.
   
12. RunQ.php and MakeQ.php can now be run from PHP command line. This is useful
    when you are using a shared hosting account and wget is not available. You
    can specify the extra variables in command line, like so
   
    /usr/bin/php5 /home/public_html/wmdsed22/makeq.php d=5 l=2000 cat=Important+Domains
   
    or
   
    /usr/bin/php5 /home/public_html/wmdsed22/runq.php auto=30


2.2.37, December 29, 2013
-------------------------

1. Fixed a minor bug in 'Lookup Queue' status pane.
   
2. Minor tweaks and improvements.
 

2.2.36, December 23, 2013
-------------------------

1. Added a status page that displays the status of all installations. This is 
   valid only for the Professional edition. The status page is available at
   <install location>/status.php
   
2. Minor fixes and modifications.
 

2.2.32, December 20, 2013
-------------------------

1. Limited fault tolerance when adding domain names.
   When adding domain names, the scheme name (http://, https://) will be stripped 
   and any text after a slash (/) will be ignored. This will allow you to enter 
   entries like http://www.example.com/test.htm and the domain accepted as 
   example.com.
   
2. Fixed an issue in domain category access rights for non-admin, restricted 
   users.

2.2.31, December 18, 2013
-------------------------

1. Improved multi-server installation for Professional Edition. You can identify
   installations with an id (in config.php). This allows you to use multiple
   servers that share a single Database in a much more optimized way.
   
2. Improved lookup queue processing.

3. Improved data extraction for IP whois.

4. Improved 'makeq.php' for adding domains to lookup queue. Now you can use 
   'makeq.php' to do lookups other than domain whois. You can also use makeq.php
   to remove entries from the lookup queue.
   
5. The number of rows displayed in the domain table will now remain the same
   even when you switch between different display groups.
   
6. You can specify the data refresh interval when using the lookup button in
   the domain table footer.
   
7. You can now parse an existing whois data without actually doing a new whois 
   lookup all over again. This is useful after you have made a change to data 
   extraction tokens in whois configuration.
   
8. Fixed an issue with database names containing hyphens.

2.2.2, December 08, 2013
------------------------

This version is mainly geared to-wards a number of operational improvements.

1. Improved options for auto refreshing the domain data. An extra script 
   (makeq.php) is now available for adding domains to lookup queue based on
   categories and or last lookup time. You can execute this as a cronjob.
   
2. Improved support for connection interval checking between two connections
   to same whois server. You can also specify different connection intervals 
   for different whois servers.
   
3. You can add your own custom javascript to the application for extra
   customization. Please see lib/php/custom/hidenavbar-sample.php. This
   is a sample PHP script that emits Javascript to hide specific toolbar 
   buttons for non-admin users.
   
4. The custom logo image will now work in all additional tools (reports, whois
   setup, user administration, etc.)
   

2.2.1, November 18, 2013
-------------------------

1. Persistent Sort Column. The application will remember the last 
   user sorted column.
   
2. The Domain table caption will show the context (search results, 
   category name, custom query etc)
   
3. The edit dialogs for the domain table are now centered. The edit input 
   boxes are bigger.

4. Cleaned up ereport.sample.php. Added comments. You will need to copy 
   the 'lib/php/config/app.conf-sample.php' file to 'lib/php/config/app.conf.php' 
   and edit it to make the sample reports work.
   
5. The 'find / search' option for the domain table was removed. The 'report' 
   toolbar option is a much better way to search. However, you can put it back 
   by editing the config.php. Please see the config-sample.php for details.

6. Temporary login lock-outs if there are too many failed login attempts. 
   You can set this up in config.php
   
7. You can now do automatic lookups to keep the domain records fresh. 
   To do this, simply add an extra parameter to the runq.php script, like so

   http://www.example.com/wmdsed/runq.php?auto=90

   The above will ensure that all your domains are refreshed every 90 days.
   You can add the extra parameter in your cron-job entry.
   
8. A number of user interface tweaks and improvements.
   
 ---------------------------------------------------------------------------
   
Please see

http://www.domainpunch.com/watch-my-domains-sed/changelog.php

for earlier change-logs.
